<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.jeecg.modules.adweb.seo.mapper.SeoKeywordsSerpMapper">

    <select id="getLatestSeoKeywordSerp" resultType="org.jeecg.modules.adweb.seo.entity.SeoKeywordsSerp">
        SELECT
        *
        FROM
        adweb_seo_keywords_serp
        WHERE
        keywords_id = #{keywordId}
        ORDER BY
        se_date DESC
        LIMIT 1
    </select>
    <select id="getSeoKeywordsRank" resultType="org.jeecg.modules.adweb.seo.vo.KeywordsInfoVO">
        SELECT
            t2.keywords,t1.keywords_id,t2.domain as position_url,t1.rank_absolute as lastRank,t1.se_datetime,t2.keyword_type
        FROM adweb_seo_keywords_serp t1,
             adweb_seo_keywords t2
        WHERE
            t1.keywords_id = t2.id
        AND
            t2.site_code = #{siteCode}
        AND
            t2.keyword_type = #{keywordsType}
        AND
            t1.rank_absolute > 0
        AND
            date(t1.se_datetime) = #{date}
        ORDER BY
            t1.rank_absolute
        LIMIT #{limit}
    </select>

</mapper>